
QGIS Application - Bug report #11910

in case of rotation zoom by rectangle shows artifacts

2014-12-23 02:04 AM - zicke -

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20120

Description

The zooming rectangle is broken. See attached image.

Related issues:

Duplicated by QGIS Application - Bug report # 12601: QgsMapCanvasItem not pos... Closed 2015-04-18

History

#1 - 2014-12-23 02:30 AM - Sandro Santilli

Please add "in case of rotation" in the title, as that's the condition for the artifacts to show up (it's important to clearly mark this not as a regression)

#2 - 2014-12-23 03:28 AM - Giovanni Manghi

- Subject changed from zoom by rectangle shows artifacts to in case of rotation zoom by rectangle shows artifacts

Sandro Santilli wrote:

Please add "in case of rotation" in the title, as that's the condition for the artifacts to show up (it's important to clearly mark this not as a regression)

it is not a regression, but blockers are also new features that do not work as expected. In this case I'm not sure what to do will all this issues about the

rotation or caused by, as there is much discussion about it. To me they should be all fixed in time for 2.8 (so they all should be blockers).

#3 - 2014-12-30 08:07 AM - Sandro Santilli

- File rubberband_rotation.patch added

I've a fix for this issue, but it builds on the workaround to limitation of QgsMapCanvasItem::setRect which was reported in #11909

The patch is attached for review.

\\cc Martin Dobias

#4 - 2015-01-03 08:11 AM - Sandro Santilli

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

2025-04-27 1/2



Fixed with commit:d7269595e12cba8b7e3b45dcd3a7b63b1712d8ad

Files

rotated.png 172 KB 2014-12-23 zicke -

rubberband_rotation.patch 3.29 KB 2014-12-30 Sandro Santilli
